SOURCES	+= sources/Map.cpp \
	sources/Point.cpp \
	sources/Solution.cpp \
	sources/main.cpp \
	sources/LabelPlacement.cpp \
	sources/tabu/TabuLabelPlacement.cpp \
	sources/problemsGenerator/ProblemsGenerator.cpp \
	sources/tabu/PlacementDirectives.cpp \
	sources/tools/ImageGenerator.cpp \
	sources/tabu/OverlapManager.cpp \
	sources/tabu/CostLabelList.cpp \
	sources/tabu/popmusic/PopOverlapManager.cpp \
	sources/tabu/popmusic/PopTabuLabelPlacement.cpp \
	sources/MapFileReader.cpp \
	sources/gui/GuiBase.cpp \
	sources/gui/MapVis.cpp \
	sources/gui/DrawingZone.cpp \
	sources/gui/RandGen.cpp \
	sources/gui/Nav.cpp \
	sources/gui/Solve.cpp \
	sources/gui/Results.cpp
HEADERS	+= sources/LabelPlacement.h \
	sources/Map.h \
	sources/Point.h \
	sources/Solution.h \
	sources/tabu/TabuLabelPlacement.h \
	sources/problemsGenerator/ProblemsGenerator.h \
	sources/tabu/PlacementDirectives.h \
	sources/tools/ImageGenerator.h \
	sources/tabu/OverlapManager.h \
	sources/tabu/CostLabelList.h \
	sources/tabu/popmusic/PopOverlapManager.h \
	sources/tabu/popmusic/PopTabuLabelPlacement.h \
	sources/tabu/SolutionTabu.h \
	sources/tabu/popmusic/PopSolutionTabu.h \
	sources/MapFileReader.h \
	sources/gui/GuiBase.h \
	sources/gui/MapVis.h \
	sources/gui/DrawingZone.h \
	sources/gui/RandGen.h \
	sources/gui/Nav.h \
	sources/gui/Solve.h \
	sources/gui/Results.h
unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}
TEMPLATE	=app
CONFIG	+= qt warn_on release
LANGUAGE	= C++
