/**
  * Permet de lire un fichier .map contenant une liste de point.
  * Chaque point est compos de coordonns (x,y), d'un label et d'un poids.
  */

#ifndef _MAP_FILE_READER_H_
#define _MAP_FILE_READER_H_

#include <cstdlib>
#include <fstream>
using namespace std;

#include "Map.h"

class MapFileReader
{
public :
	/**
	  * Constructeur.
	  * p1 : le nom du fichier de donnes
	  */
	MapFileReader(const char*);

	/**
	  * Renvois le fichier sous la forme d'un Map*
	  */
	Map* getMap();

private :
	Map* map;
};

#endif
