#ifndef _POINT_CPP_
#define _POINT_CPP_ 1

#include "Point.h"

//###############//
template<class T>
Point<T>::Point(T x, T y)
{
	this->x = x;
	this->y = y;
}

//###############//
template<class T>
Point<T>::Point()
{
	this->x = 0;
	this->y = 0;
}

//###############//
template<class T>
Point<T> Point<T>::operator+(const Point<T>& p) const
{
	return Point<T>(this.x + p2.x, this.y + p1.y);
}

//###############//
template<class T>
void Point<T>::operator+=(const Point<T>& p)
{
	this->x += p.x;
	this->y += p.y;
}

#endif
