/**
  * Reprsente un point dans un espace
  *  2 dimensions.
  */

#ifndef _POINT_H_
#define _POINT_H_

template<class T>
struct Point
{
	/**
 	  * Le constructeur.
	  * p1 : la valeur en x
	  * p2 : la valeur en y
	  */
	Point(T, T);
	Point();

	/**
	  * Addition de 2 points.
	  * p1 : le point
	  */
	Point<T> operator+(const Point<T>&) const;
	void operator+=(const Point<T>&);
	
	T x;
	T y;
};

#endif

