// test heap

#include <list>
#include <vector>
#include <algorithm>
#include <functional>
#include <iostream>
using namespace std;

//Element
struct E
{
   E(int cout, int numLabel):cout(cout),numLabel(numLabel){};
   int cout;
   int numLabel;
};
//classe de comparaison pour dfinir la priorit
struct Cmp
{
   bool operator()(const E &e1, const E &e2)
   {
      return e1.cout > e2.cout ;
   }
};

void print(vector<E>& v)
{
   for(vector<E>::iterator i=v.begin(); i!=v.end(); i++)
      cout << "(" << i->cout << "-" << i->numLabel << "), "; cout << endl;
}

int main()
{

   vector<E> v;

   v.push_back(E(10, 0));
   v.push_back(E(15, 1));
   v.push_back(E(8, 2));

   Cmp cmp;

   make_heap<vector<E>::iterator, Cmp>(v.begin(), v.end(), cmp);

   sort_heap<vector<E>::iterator, Cmp>(v.begin(), v.end(), cmp);

   print(v);

   v[1].cout = 20;

   make_heap<vector<E>::iterator, Cmp>(v.begin(), v.end(), cmp);

   print(v);

   return 0;
}
