#include "Solution.h"

//###############//
Solution::Solution(int nbLabel)
{
	this->solution = new Point<double>[nbLabel];
	this->overlaps = new vector<bool>(nbLabel);
	this->hiddenLabels = 0;
}

//###############//
Solution::~Solution()
{
	delete[] this->solution;
	delete this->overlaps;
}

//###############//
Point<double> Solution::getLabelPlacement(int numLabel) const
{
	return this->solution[numLabel];
}

//###############//
void Solution::setLabelPlacement(int numLabel, Point<double> position, bool overlap)
{
	this->solution[numLabel] = position;
	(*this->overlaps)[numLabel] = overlap;
}
