/**
  * Generateur alatoire de problmes de placement
  * de labels.
  */

#ifndef _PROBLEMSGENERATOR_H_
#define _PROBLEMSGENERATOR_H_

//le type d'objet reprsentant le problme  gnrer
#include "../Map.h"

class ProblemsGenerator
{
public :

	/**
	  * Constructeur.
	  * p1 : le nombre de label
	  * p2 : la taille de la surface de placement (un tableau x-y)
	  * p3 : le germe, si gal  -1 alors germe en fonction du temps
	  * p4 : la taille des label
	  * p5 : les coordonnes des labels sont entires ?
	  */
	ProblemsGenerator(int, double*, int, double* labelSize = 0, bool intLabelPosition = false);

	/**
	  * Renvois la map gnr.
	  */
	Map* getMap() const;

private :

	Map* map; //les donnes gnre
};

#endif
